For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
  • Getting started
    • Introduction
    • Obtaining API keys
    • Quickstart
    • Native clients
    • Concepts
    • Embedding authentication
    • Versioning
    • Idempotent requests
    • Events
  • Configuring your connections
    • CDC streaming from databases
  • Code examples
    • Bulk sync (ELT) from HubSpot to PostgreSQL
    • Bulk sync (ELT) from Salesforce to S3
    • Bulk sync (ELT) from Salesforce to Snowflake
    • Model sync (Reverse ETL) from MongoDB to Salesforce
  • API Reference
      • GETGet Bulk Destination
      • GETGet Bulk Source
      • GETGet Bulk Source Schema
      • GETGet Bulk Source Status
      • GETList Bulk Syncs
      • POSTCreate Bulk Sync
      • GETGet Bulk Sync
      • DELDelete Bulk Sync
      • PATCHUpdate Bulk Sync
      • POSTActivate Bulk Sync
      • POSTCancel Bulk Sync
      • POSTStart Bulk Sync Execution
      • GETGet Bulk Sync Status
Logo
Log inBook a demo
API ReferenceBulk Sync

List Bulk Syncs

GET
https://app.polytomic.com/api/bulk/syncs
GET
/api/bulk/syncs
$curl https://app.polytomic.com/api/bulk/syncs \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -u "<username>:<password>"
1{
2 "data": [
3 {
4 "active": true,
5 "automatically_add_new_fields": "all",
6 "automatically_add_new_objects": "all",
7 "concurrency_limit": 50,
8 "created_at": "2024-01-15T09:30:00Z",
9 "created_by": {
10 "id": "12345678-1234-1234-1234-123456789012",
11 "name": "John Doe",
12 "type": "user"
13 },
14 "data_cutoff_timestamp": "2023-04-25T12:00:00Z",
15 "destination_configuration": {
16 "schema": "my_schema"
17 },
18 "destination_connection_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
19 "disable_record_timestamps": false,
20 "id": "248df4b7-aa70-47b8-a036-33ac447e668d",
21 "mode": "snapshot",
22 "name": "My Bulk Sync",
23 "normalize_names": "enabled",
24 "organization_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
25 "policies": [
26 "248df4b7-aa70-47b8-a036-33ac447e668d"
27 ],
28 "resync_concurrency_limit": 10,
29 "schedule": {
30 "frequency": "manual",
31 "day_of_month": "1",
32 "day_of_week": "monday",
33 "hour": "0",
34 "minute": "0",
35 "month": "1",
36 "multi": {
37 "schedules": [
38 {
39 "item": "none"
40 }
41 ],
42 "type": "string"
43 }
44 },
45 "source_configuration": {
46 "replication_slot": "slot"
47 },
48 "source_connection_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
49 "updated_at": "2024-01-15T09:30:00Z",
50 "updated_by": {
51 "id": "12345678-1234-1234-1234-123456789012",
52 "name": "John Doe",
53 "type": "user"
54 },
55 "discover": true
56 }
57 ]
58}
Lists bulk syncs in the caller's organization. Results are returned as a single `data` array. This version of the endpoint supports the `active` filter but does not support cursor pagination, `limit`, or `page_token` query parameters. If you need a cursor-paginated bulk sync list, use API version `2025-09-18` or later. > 📘 To retrieve a specific sync, use > [`GET /api/bulk/syncs/{id}`](../../../api-reference/bulk-sync/get) > instead of filtering the list client-side.
Was this page helpful?
Previous

Create Bulk Sync

Next

Lists bulk syncs in the caller’s organization.

Results are returned as a single data array. This version of the endpoint supports the active filter but does not support cursor pagination, limit, or page_token query parameters.

If you need a cursor-paginated bulk sync list, use API version 2025-09-18 or later.

📘 To retrieve a specific sync, use GET /api/bulk/syncs/{id} instead of filtering the list client-side.

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Headers

X-Polytomic-VersionstringRequired

Query parameters

activebooleanOptional

Filter to only active (true) or only paused (false) syncs. Omit to return both.

Response

OK
datalist of objects or null

Errors

401
Unauthorized Error
500
Internal Server Error